[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetParent

Sets the value for the Parent property.

## Declaration

Source position: controls.pp line 1521

`protected procedure TControl.SetParent(`
`NewParent: TWinControl`
`); virtual;`

## Arguments

`NewParent` |  | New value for the Parent property.

## See also

TControl.Parent |  | The control within which the control is shown.